package dwatch.digitalwatch;

import dwatch.IStatemachine;
import dwatch.ITimerCallback;

public interface IDigitalwatchStatemachine extends ITimerCallback,IStatemachine {

	public interface SCIButtons {
	
		public void raiseTopLeftPressed();
		
		public void raiseTopLeftReleased();
		
		public void raiseTopRightPressed();
		
		public void raiseTopRightReleased();
		
		public void raiseBotLeftPressed();
		
		public void raiseBotLeftReleased();
		
		public void raiseBotRightPressed();
		
		public void raiseBotRightReleased();
		
	}
	
	public SCIButtons getSCIButtons();
	
	public interface SCIDisplay {
	
		public void setSCIDisplayOperationCallback(SCIDisplayOperationCallback operationCallback);
	
	}
	
	public interface SCIDisplayOperationCallback {
	
		public void refreshTimeDisplay();
		
		public void refreshChronoDisplay();
		
		public void setIndiglo();
		
		public void unsetIndiglo();
		
		public void hidePos(long pos);
		
	}
	
	public SCIDisplay getSCIDisplay();
	
	public interface SCILogicUnit {
	
		public void setSCILogicUnitOperationCallback(SCILogicUnitOperationCallback operationCallback);
	
	}
	
	public interface SCILogicUnitOperationCallback {
	
		public void increaseTimeByOne();
		
		public void increaseChronoByOne();
		
		public void resetChrono();
		
		public void increasePos(long pos);
		
	}
	
	public SCILogicUnit getSCILogicUnit();
	
}
